<?php
/**
 * Class for Demo Import
 *
 * @package Education_Hub
 */

/**
 * Demo Import class.
 *
 * @since 1.1
 */
class Education_Hub_Demo_Import {

	function __construct() {
		add_filter( 'cp-ctdi/import_files', array( $this, 'import_files' ) );
		add_action( 'cp-ctdi/after_import', array( $this, 'after_import_setup' ) );
		add_filter( 'ocdi/import_files', array( $this, 'import_files' ) );
		add_action( 'ocdi/after_import', array( $this, 'after_import_setup' ) );
	}
	function import_files() {
		$customizer_demo_file = get_template_directory_uri() . '/inc/support/ctdi/education-hub-pro.dat';
		if ( class_exists( 'WooCommerce' ) ) {
			$customizer_demo_file = get_template_directory_uri() . '/inc/support/ctdi/education-hub-pro-woo.dat';
		}
		return array(
			array(
				'import_file_name'           => esc_html__( 'Education Hub Pro Demo', 'education-hub-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/education-hub-pro.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/education-hub-pro.wie',
				'import_customizer_file_url' => $customizer_demo_file,
				'import_preview_image_url'   => get_template_directory_uri() . '/screenshot.png',
				'preview_url'                => 'https://wenthemes.com/item/wordpress-themes/education-hub-pro/',
			),
		);
	}

	function after_import_setup() {
		// Assign menus to their locations.
		$main_menu   = get_term_by( 'name', 'Header Menu', 'nav_menu' );
		$social_menu = get_term_by( 'name', 'Social Menu', 'nav_menu' );
		set_theme_mod(
			'nav_menu_locations',
			array(
				'primary' => $main_menu->term_id,
				'social'  => $social_menu->term_id,
			)
		);
	}
}

// Initialize.
$education_hub_ctdi = new Education_Hub_Demo_Import();
